Create Recurring Tax Export Schedule
Creates a recurring tax export schedule for a wallet and sends exports by email at the start of each month.
Authorization
x-api-key In: header
Path Parameters
Wallet address used for recurring tax exports
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/tax-export/schedules" \ -H "Content-Type: application/json" \ -d '{ "email": "user@example.com", "individual": { "type": "individual", "individualId": "string" }, "recurrencePreset": "MONTHLY_START" }'Create Deposit Transaction POST
This endpoint provides a transaction to be executed by an EOA to deposit funds into a smart wallet. This is a convenience endpoint to easily build a transfer to be executed by Metamask or any other EOA wallet
Request Tax Transactions Export POST
Request a tax transactions export for a wallet. The report will be generated by an external tax API and sent to the provided email address.